//FRAGMENTSHADER_2DDEPTHTEXTURE;
precision mediump float;


uniform sampler2D u_tex;


varying vec2 v_uv;
const vec4 bitShifts = vec4(1.0 / (256.0 * 256.0 * 256.0), 1.0 / (256.0 * 256.0), 1.0 / 256.0, 1.0);
float unpack(vec4 color)
{
	return dot(color, bitShifts);
}
void main()
{
	float depth = unpack(texture2D(u_tex, v_uv));
	gl_FragColor = vec4(depth, depth, depth, 1.0);
}
