//VERTEXTSHADER_TEXTURE.SHADOW
precision highp float;


uniform mat4 u_modelViewMatrix;
uniform mat4 u_normalMatrix;
uniform mat4 u_projMatrix;
uniform mat4 u_shadowMVPMatrix;

attribute vec3 a_position;
attribute vec3 a_normal;
attribute vec2 a_uv;

varying vec3 v_position;
varying vec3 v_normal;
varying vec2 v_uv;
varying vec4 v_shadowCoord;


void main()
{
	vec4 position = u_modelViewMatrix*vec4(a_position, 1.0);
	v_position = vec3(position);
	gl_Position=u_projMatrix*position;
	v_normal = mat3(u_normalMatrix)*a_normal;
	v_uv = a_uv;

	v_shadowCoord = u_shadowMVPMatrix*vec4(pos, 1.0);
}
